/* Copyright 2013-2015 NuoDB, Inc. All rights reserved */

#pragma once

/*! @mainpage NuoDB C++ API
 *
 * The NuoDB C++ API is modeled after the Java JDBC API. Class and method names
 * are similar if not the same - Connection, Statement, PreparedStatement, etc.
 *
 * The only difference is the exception handling and memory management models.
 * One type of exception is thrown: SQLException.  Its error codes are enum
 * based.  See NuoDB::NuoDBSqlConstants.
 *
 * For more information, see
 * <a href="http://doc.nuodb.com/Latest/Default.htm#Using-the-NuoDB-CPP-Driver.htm"><strong>Using the NuoDB C++ Driver</a></strong>.
 */

#include "NuoRemote/BigDecimal.h"
#include "NuoRemote/Blob.h"
#include "NuoRemote/Bytes.h"
#include "NuoRemote/CallableStatement.h"
#include "NuoRemote/Clob.h"
#include "NuoRemote/Connection.h"
#include "NuoRemote/DatabaseMetaData.h"
#include "NuoRemote/DatabaseMetaDataConstants.h"
#include "NuoRemote/DateClass.h"
#include "NuoRemote/ParameterMetaData.h"
#include "NuoRemote/PreparedStatement.h"
#include "NuoRemote/Properties.h"
#include "NuoRemote/ResultList.h"
#include "NuoRemote/ResultSet.h"
#include "NuoRemote/ResultSetMetaData.h"
#include "NuoRemote/Savepoint.h"
#include "NuoRemote/SqlDate.h"
#include "NuoRemote/SqlExports.h"
#include "NuoRemote/SqlTime.h"
#include "NuoRemote/SqlTimestamp.h"
#include "NuoRemote/Statement.h"
#include "NuoRemote/TimeClass.h"
#include "NuoRemote/Timestamp.h"

#include "NuoRemote/BatchUpdateException.h"
#include "SQLException.h"
