// NuoDB product version constants
// (C) Copyright NuoDB Inc. 2012-2019  All Rights Reserved.
//
// This file must consist solely of preprocessor statements.

#define NUODB_PRODUCT_VERSION_MAJOR    4
#define NUODB_PRODUCT_VERSION_MINOR    0
#define NUODB_PRODUCT_VERSION_PATCH    0
#define NUODB_PRODUCT_VERSION_BUILDNUM 1
#define NUODB_REVISION_ID              "b947d0fa06"

/* #undef NUODB_PRODUCT_VERSION_COMMENT */

#define NUODB_COMPANY           "NuoDB, Inc."
#define NUODB_PRODUCT           "NuoDB Database"
#define NUODB_PRODUCT_COPYRIGHT "(C) Copyright NuoDB, Inc. 2010-2019  All Rights Reserved."

// Helper macros to create version strings
#define VER_QUOTE_IMPL(val) #val
#define VER_QUOTE(val)      VER_QUOTE_IMPL(val)

#define NUODB_PRODUCT_VERSION_STR VER_QUOTE(NUODB_PRODUCT_VERSION_MAJOR) "." VER_QUOTE(NUODB_PRODUCT_VERSION_MINOR) "." VER_QUOTE(NUODB_PRODUCT_VERSION_PATCH) "." VER_QUOTE(NUODB_PRODUCT_VERSION_BUILDNUM)

// Skip printing patch # if it is 0
#if NUODB_PRODUCT_VERSION_PATCH != 0
# define NUODB_PATCH_STRING "." VER_QUOTE(NUODB_PRODUCT_VERSION_PATCH)
#else
# define NUODB_PATCH_STRING
#endif

// add build comment if it is defined
#if defined NUODB_PRODUCT_VERSION_COMMENT
# define NUODB_COMMENT_STRING "." NUODB_PRODUCT_VERSION_COMMENT
#else
# define NUODB_COMMENT_STRING
#endif

#define NUODB_STANDARD_VERSION_STR \
    VER_QUOTE(NUODB_PRODUCT_VERSION_MAJOR) \
    "." VER_QUOTE(NUODB_PRODUCT_VERSION_MINOR) \
    NUODB_PATCH_STRING \
    NUODB_COMMENT_STRING \
    "-" VER_QUOTE(NUODB_PRODUCT_VERSION_BUILDNUM)

#define NUODB_FULL_VERSION_STR \
    NUODB_STANDARD_VERSION_STR "-" NUODB_REVISION_ID
